      SUBROUTINE MAIN
      LOGICAL*1 BUFFER(512), BUF(400), UIC(25)
      INTEGER INT, FDB, I, J, K, L, M, N, FIRST, LAST, START, STOP, GROU
     *P, MEMBER
      EQUIVALENCE (FIRST, BUFFER(1)), (LAST, BUFFER(3))
      INTEGER OPEN, GETFDB, GETS
      LOGICAL*1 ACCNT(22)
      LOGICAL*1 SIXBL(7)
      DATA ACCNT(1)/76/,ACCNT(2)/66/,ACCNT(3)/48/,ACCNT(4)/58/,ACCNT(5)/
     *91/,ACCNT(6)/49/,ACCNT(7)/44/,ACCNT(8)/49/,ACCNT(9)/48/,ACCNT(10)/
     *48/,ACCNT(11)/93/,ACCNT(12)/80/,ACCNT(13)/68/,ACCNT(14)/83/,ACCNT(
     *15)/85/,ACCNT(16)/80/,ACCNT(17)/70/,ACCNT(18)/46/,ACCNT(19)/68/,AC
     *CNT(20)/65/,ACCNT(21)/84/,ACCNT(22)/0/
      DATA SIXBL(1)/32/,SIXBL(2)/32/,SIXBL(3)/32/,SIXBL(4)/32/,SIXBL(5)/
     *32/,SIXBL(6)/32/,SIXBL(7)/0/
      INT = OPEN(ACCNT, 1)
      IF(.NOT.(INT .EQ. -3))GOTO 23000
      CALL CANT(ACCNT)
23000 CONTINUE
      FDB = GETFDB(INT)
      JUNK = GETS(FDB, BUFFER, 512)
      START = FIRST
      STOP = LAST
      I=2
23002 IF(.NOT.(I .LT. START))GOTO 23004
      JUNK = GETS(FDB, BUFFER, 512)
23003 I=I+1
      GOTO 23002
23004 CONTINUE
23005 IF(.NOT.(I .LE. STOP))GOTO 23007
      JUNK = GETS(FDB, BUFFER, 512)
      CALL R50ASC(12, BUFFER, BUF)
      J=12
23008 IF(.NOT.(BUF(J) .NE. 32 .AND. J .GT. 1))GOTO 23010
23009 J=J-1
      GOTO 23008
23010 CONTINUE
23011 IF(.NOT.(J .LE. 15))GOTO 23013
      BUF(J) = 32
23012 J=J+1
      GOTO 23011
23013 CONTINUE
      CALL JCOPY(BUFFER, 41, 4, BUF, J)
      CALL CPYBYT(BUFFER(9), MEMBER, 1, 0)
      CALL CPYBYT(BUFFER(10), GROUP, 1, 0)
      CALL FMTUIC(GROUP, MEMBER, UIC)
      CALL STCOPY(UIC, 1, BUF, J)
      CALL STCOPY(SIXBL, 1, BUF, J)
      CALL SCOPY(UIC, 1, BUF, J)
      CALL FOLD(BUF)
      CALL PUTLIN(BUF, 2)
      CALL PUTCH(10, 2)
23006 I=I+1
      GOTO 23005
23007 CONTINUE
      CALL CLOSE(INT)
      RETURN
      END
      SUBROUTINE JCOPY(IN, START, N, OUT, I)
      LOGICAL*1 IN(100), OUT(100)
      INTEGER START, N, I, J, K
      K = START
      J=1
23014 IF(.NOT.(J .LE. N))GOTO 23016
      OUT(I) = IN(K)
      K = K + 1
      I = I + 1
23015 J=J+1
      GOTO 23014
23016 CONTINUE
      RETURN
      END
